Commit 763e31d3 authored by civodul's avatar civodul

guile: Add support for Guile 3.0.

* configure.ac: Add 3.0 to 'GUILE_PKG', as well as the
previously-supported versions.
* doc/gnutls-guile.texi (Guile Preparations): Update list of supported
versions.
Signed-off-by: civodul's avatarLudovic Courtès <ludo@gnu.org>
parent 3b539218
dnl Process this file with autoconf to produce a configure script.
# Copyright (C) 2000-2012, 2016 Free Software Foundation, Inc.
# Copyright (C) 2000-2012, 2016, 2019 Free Software Foundation, Inc.
#
# Author: Nikos Mavrogiannopoulos, Simon Josefsson
#
......@@ -910,7 +910,7 @@ if test "$opt_guile_bindings" = "yes"; then
AC_PATH_PROG([GUILD], [guild])
AC_SUBST([GUILD])
GUILE_PKG
GUILE_PKG([3.0 2.2 2.0 1.8])
GUILE_PROGS
GUILE_SITE_DIR
GUILE_FLAGS
......
......@@ -17,7 +17,7 @@
This manual is last updated @value{UPDATED} for version
@value{VERSION} of GnuTLS.
Copyright @copyright{} 2001-2012, 2014, 2016 Free Software Foundation, Inc.
Copyright @copyright{} 2001-2012, 2014, 2016, 2019 Free Software Foundation, Inc.
@quotation
Permission is granted to copy, distribute and/or modify this document
......@@ -85,8 +85,8 @@ a large subset thereof is available.
@node Guile Preparations
@chapter Guile Preparations
The GnuTLS Guile bindings are available for Guile's 2.0 stable series,
as well as the forthcoming 2.2 series and the legacy 1.8 series.
The GnuTLS Guile bindings are available for the Guile 3.0 and 2.2
series, as well as the legacy 2.0 and even 1.8 series.
By default they are installed under the GnuTLS installation directory,
typically @file{/usr/local/share/guile/site/}). Normally Guile
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment